Package org.globus.gsi.gssapi.auth

# Class AuthorizationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.globus.common.ChainedIOException
org.globus.gsi.gssapi.auth.AuthorizationException

All Implemented Interfaces:
  `Serializable`

public class AuthorizationException extends ChainedIOException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationException(String msg)`
`AuthorizationException(String msg, Throwable root)`

## Method Summary

### Methods inherited from class org.globus.common.ChainedIOException

`getException, getMessage, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorizationException

public AuthorizationException(String msg)

### AuthorizationException

public AuthorizationException(String msg, Throwable root)